Bug 58346 - tcpdump.spec creates pcap user with nonexistant shell
Summary: tcpdump.spec creates pcap user with nonexistant shell
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tcpdump   
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Keywords:
: 54225 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-14 19:05 UTC by Blair Zajac
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-15 10:35:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2001:089 normal SHIPPED_LIVE : Updated tcpdump packages available for Red Hat Linux 6.2 and 7.x 2001-06-28 04:00:00 UTC

Description Blair Zajac 2002-01-14 19:05:47 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.79 [en] (Windows NT 5.0; U)

Description of problem:
The spec file for tcpdump-3.6.2-9.src.rpm creates the pcap user with this command:

/usr/sbin/useradd -u %{PCAP_UID} -g %{PCAP_GID} \
        -s /bin/nologin -M -r -d %{_vararpwatch} pcap 2> /dev/null || :

the shell /bin/nologin does not exist, it exists at /sbin/nologin


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Not applicable
2.
3.
	

Additional info:

Comment 1 Harald Hoyer 2002-01-15 10:28:57 UTC
*** Bug 54225 has been marked as a duplicate of this bug. ***

Comment 2 Harald Hoyer 2002-01-17 15:27:18 UTC
should be fixed in 3.6.2-10 or newer



Note You need to log in before you can comment on or make changes to this bug.